#! /bin/sh
# b-recode.  recode braindead wrapper.
# To be called by enca, don't use directly. See enca(1) for calling convention.
#
# Copyright (C) 2000-2001 David Necas (Yeti) <yeti@physics.muni.cz>.
# This is free software; it can be copied and/or modified under the terms of
# version 2 of GNU General Public License, see COPYING for details.  There is
# NO WARRANTY; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
transform_enc_name() {
  echo "$1" | sed -e 's:/.*::'
}
umask 077
inenc=`transform_enc_name "$1"`
outenc="$2"
if test "$4" = "-"; then
  recode -f "$inenc..$outenc" <"$3" \
  || { echo "$0: recode -f $inenc..$outenc failed" 1>&2
       exit 1; }
else
  recode -f "$inenc..$outenc" -- "$3" \
  || { echo "$0: recode -f $inenc..$outenc $3 failed, file $3 may be damaged" 1>&2
       exit 1; }
fi
